<template>
    <div   id="myModals" class="modal fade" tabindex="-1" role="dialog">
        <div class="modal-dialog" role="document">
          <div class="modal-content">
            <div class="modal-header">
              <h5 class="modal-title">Show Stats</h5>
              <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                <span aria-hidden="true">&times;</span>
              </button>
            </div>
            <div class="modal-body">
                <p v-if="statsDetails">Age: {{ statsDetails.age }}</p>
                <p v-if="statsDetails">Games: {{ statsDetails.games }}</p>
                <p v-if="statsDetails">Games Started: {{ statsDetails.games_started }}</p>
                <p v-if="statsDetails">Minutes Played: {{ statsDetails.minutes_played }}</p>
                <p v-if="statsDetails">Field Goals: {{ statsDetails.field_goals }}</p>
                <p v-if="statsDetails">Field Goals Attempted: {{ statsDetails.field_goals_attempted }}</p>
                <p v-if="statsDetails">Free Throws: {{ statsDetails.free_throws }}</p>
                <p v-if="statsDetails">Free Throws Attempted: {{ statsDetails.free_throws_attempted }}</p>
                <p v-if="statsDetails">Offensive Rebounds: {{ statsDetails.offensive_rebounds }}</p>
                <p v-if="statsDetails">Defensive Rebounds: {{ statsDetails.defensive_rebounds }}</p>
                <p v-if="statsDetails">Assists: {{ statsDetails.assists }}</p>
                <p v-if="statsDetails">Steals: {{ statsDetails.steals }}</p>
                <p v-if="statsDetails">Blocks: {{ statsDetails.blocks }}</p>
                <p v-if="statsDetails">Turnovers: {{ statsDetails.turnovers }}</p>
                <p v-if="statsDetails">Personal Fouls: {{ statsDetails.personal_fouls }}</p>
            </div>
            <div class="modal-footer">
              <button type="button" class="btn btn-secondary" @click="close">Close</button>
            </div>
          </div>
        </div>
      </div>
</template>
<script>
import { get } from 'http';

    export default {
        props: [
            'dataComponentModalShowStats'
        ],
        data(){
           return {
                statsDetails: null
           }
        },
        mounted(){
            let _s = this
            _s.showPlayerStats();

            $(document).ready(function(){
                $("#myModals").modal('show');
            });  

        },
        methods: {
            showPlayerStats(){
                let _s = this
                axios
                .post(
                    apiBaseURL('player_total/search'),
                    { 
                            player_id: _s.dataComponentModalShowStats.id
                    }
                )
                .then(function(response){
                    _s.statsDetails = response.data.data[0]
                })
                .catch(function (error) {
                });
            },
            close(){
                document.location = '/';
            }
        }
    }
</script>